DEV: Fix a spec incompatibility with pre-2.28 git (PR #10892)

Regression introduced in 6932a373a34a7150f8514af7edaf9048cc719a7d. The fix tested with git 2.28 and 2.27.

GitHub